const express = require('express')
const socketio = require('socket.io')
const sense = require('sense-hat-led').sync
const app = express()
const server = app.listen(3000, '0.0.0.0', () => console.log('server is running'))
const io = socketio(server)
app.use(express.static('public'))
sense.setRotation(180)
sense.lowLight = true

const blue = [0, 0, 100]
flash()
io.on('connection', (client) => {
    client.on('action', ({ action, x, y }) => {
        console.log({ action, x, y })
        switch (action) {
            case 'on':
                sense.setPixel(Number(x), Number(y), blue)
                break
            case 'off':
                sense.setPixel(Number(x), Number(y), [0, 0, 0])
                break
            case 'hello':
                sense.flashMessage('HELLO', 1, blue)
                sense.clear()
                break
            case 'flash':
                flash()
                break
            case 'clear':
                sense.clear()
                break
            default:
                break
        }
    })
})

function flash() {
    sense.clear([255, 255, 255])
    setTimeout(sense.clear, 10)
}
